uk.gov.hmrc.alertconfig.builders

# EnvironmentAlertBuilder

###
Related Doc: package builders

#### case class EnvironmentAlertBuilder(handlerName: String, command: Option[JsValue] = None, enabledEnvironments: Map[Environment, Set[Severity]] = ..., customEnvironmentNames: Map[Environment, String] = Map((Production, "aws_production")), handlerFilters: Map[Environment, JsValue] = ...) extends Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. EnvironmentAlertBuilder
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new EnvironmentAlertBuilder(handlerName: String, command: Option[JsValue] = None, enabledEnvironments: Map[Environment, Set[Severity]] = ..., customEnvironmentNames: Map[Environment, String] = Map((Production, "aws_production")), handlerFilters: Map[Environment, JsValue] = ...)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def alertConfigFor(environment: Environment): (String, JsObject)

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### val command: Option[JsValue]

8. #### val customEnvironmentNames: Map[Environment, String]

9. #### val enabledEnvironments: Map[Environment, Set[Severity]]

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### val handlerFilters: Map[Environment, JsValue]

14. #### val handlerName: String

15. #### def inDevelopment(severities: Set[Severity] = defaultSeverities, customEnv: String = Development.toString, customFilter: JsValue = defaultFilter): EnvironmentAlertBuilder

16. #### def inExternalTest(severities: Set[Severity] = defaultSeverities, customEnv: String = ExternalTest.toString, customFilter: JsValue = defaultFilter): EnvironmentAlertBuilder

17. #### def inIntegration(severities: Set[Severity] = defaultSeverities, customEnv: String = Integration.toString, customFilter: JsValue = defaultFilter): EnvironmentAlertBuilder

18. #### def inManagement(severities: Set[Severity] = defaultSeverities, customEnv: String = Management.toString, customFilter: JsValue = defaultMgmtFilter): EnvironmentAlertBuilder

19. #### def inProduction(severities: Set[Severity] = defaultSeverities, customEnv: String = Production.toString, customFilter: JsValue = defaultFilter): EnvironmentAlertBuilder

20. #### def inQa(severities: Set[Severity] = defaultSeverities, customEnv: String = Qa.toString, customFilter: JsValue = defaultFilter): EnvironmentAlertBuilder

21. #### def inStaging(severities: Set[Severity] = defaultSeverities, customEnv: String = Staging.toString, customFilter: JsValue = defaultFilter): EnvironmentAlertBuilder

22. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

23. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### final def notify(): Unit

    Definition Classes
      AnyRef

25. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

26. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

27. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### def withCommand(customCommand: String): EnvironmentAlertBuilder

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped